# Ice::ConnectionInfo

## Overview

### local class ConnectionInfo

Base class providing access to the connection details.

#### Derived Classes and Interfaces

IPConnectionInfo

#### Used By

Connection::getInfo

## Data Members

### bool incoming;

Whether or not the connection is an incoming or outgoing connection.

### string adapterName;

The name of the adapter associated with the connection.